Package io.github.jdbcx.dialect

# Class DefaultMapper

java.lang.Object
io.github.jdbcx.dialect.DefaultMapper

All Implemented Interfaces:
  `ResultMapper`

public class DefaultMapper extends Object implements ResultMapper

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DefaultMapper()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toColumnType(io.github.jdbcx.Field f)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.github.jdbcx.ResultMapper

`quoteIdentifier, toColumnDefinition, toRemoteTable`

## Constructor Details

### DefaultMapper

protected DefaultMapper()

## Method Details

### toColumnType

public String toColumnType(io.github.jdbcx.Field f)

Specified by:
  `toColumnType` in interface `ResultMapper`